Partially update account
curl --request PATCH \
--url https://app.forecastable.com/api/v1/accounts/{accountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"crmId": "<string>",
"crmAccountType": "<string>",
"website": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"annualRevenue": "<string>",
"stockSymbol": "<string>",
"domains": [
"<string>"
],
"tags": [
"<string>"
],
"accountStatus": "<string>",
"relationshipStatus": "<string>",
"internalOwnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.forecastable.com/api/v1/accounts/{accountId}"
payload = {
"name": "<string>",
"crmId": "<string>",
"crmAccountType": "<string>",
"website": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"annualRevenue": "<string>",
"stockSymbol": "<string>",
"domains": ["<string>"],
"tags": ["<string>"],
"accountStatus": "<string>",
"relationshipStatus": "<string>",
"internalOwnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
crmId: '<string>',
crmAccountType: '<string>',
website: '<string>',
description: '<string>',
imageUrl: '<string>',
annualRevenue: '<string>',
stockSymbol: '<string>',
domains: ['<string>'],
tags: ['<string>'],
accountStatus: '<string>',
relationshipStatus: '<string>',
internalOwnerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.forecastable.com/api/v1/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"isDeleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"website": "<string>",
"domains": [
"<string>"
],
"keywords": [
"<string>"
],
"tags": [
"<string>"
],
"description": "<string>",
"imageUrl": "<string>",
"sfdcId": "<string>",
"salesforceUrl": "<string>",
"sfdcAccountType": "<string>",
"accountStatus": "<string>",
"relationshipStatus": "<string>",
"annualRevenue": 123,
"stockSymbol": "<string>",
"linkedinUrl": "<string>",
"twitterUrl": "<string>",
"internalOwnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sf24Sync": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Accounts
Partially update account
PATCH
/
accounts
/
{accountId}
Partially update account
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Body
application/json
Required string length:
1 - 300Pattern:
\b[0-9A-Za-z]{15,18}\bPartner Type (Settings). Must be one of organization accountTypes.values.
Account tags (Settings). Each value must be in organization accountTypes.tags. Not contact tags.
Partner Subtype (Settings). Must be valid for the given crmAccountType in accountTypes.statuses.
Account Status (Settings). Must be one of accountTypes.relationshipStatuses.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Response
Updated account.
Show child attributes
Show child attributes
Was this page helpful?
⌘I